Bug 833494 - Review Request: gshell - A command-line shell framework
Review Request: gshell - A command-line shell framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 841833
  Show dependency treegraph
 
Reported: 2012-06-19 11:16 EDT by gil cattaneo
Modified: 2012-09-18 01:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 21:26:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-06-19 11:16:06 EDT
Spec URL: http://gil.fedorapeople.org/gshell.spec
SRPM URL: http://gil.fedorapeople.org/gshell-2.6.5-1.fc16.src.rpm
Description: GShell - A command-line shell framework.
Fedora Account System Username: gil
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4177210
Comment 1 gil cattaneo 2012-06-19 22:29:00 EDT
remove internal plesus-utils 
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4178843
Comment 2 Mikolaj Izdebski 2012-08-08 04:36:00 EDT
I am taking this review.
Comment 3 Mikolaj Izdebski 2012-08-08 04:47:26 EDT
Fails to build from source:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4367956
Comment 4 gil cattaneo 2012-08-08 05:44:34 EDT
Spec URL: http://gil.fedorapeople.org/gshell/1/gshell.spec
SRPM URL: http://gil.fedorapeople.org/gshell/1/gshell-2.6.5-2.fc16.src.rpm
- Added missing buildrequires mojo-signatures
- Disabled animal-sniffer-maven-plugin (conflict with asm packages)

tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4368074
Comment 5 Mikolaj Izdebski 2012-08-08 06:28:52 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[!]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Rpmlint
-------
Checking: gshell-2.6.5-2.fc18.noarch.rpm
          gshell-maven-plugin-2.6.5-2.fc18.noarch.rpm
          gshell-2.6.5-2.fc18.src.rpm
          gshell-javadoc-2.6.5-2.fc18.noarch.rpm
gshell.noarch: I: enchant-dictionary-not-found en_US
gshell-maven-plugin.noarch: W: no-documentation
gshell.src: W: invalid-url Source0: gshell-2.6.5-src-git.tar.gz
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

Issues
------
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License file installed when any subpackage combination is installed.

Please install license files (LICENSE and NOTICE). See:
https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

[!]: SHOULD Package functions as described.

Package description is vague, no information can be found at specified
URL. It's hard to guess what's the purpose of the package. Please
describe what the package does / what can it be used for.
Comment 6 gil cattaneo 2012-08-08 07:10:50 EDT
Spec URL: http://gil.fedorapeople.org/gshell/2/gshell.spec
SRPM URL: http://gil.fedorapeople.org/gshell/2/gshell-2.6.5-3.fc16.src.rpm
- Installed LICENSE.txt NOTICE.txt in each package
- edit package description
Comment 7 Mikolaj Izdebski 2012-08-08 08:05:43 EDT
Accepted.
Tested on Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=4368261

rpmlint output:

$ rpmlint gshell-2.6.5-3.fc18.noarch.rpm gshell-2.6.5-3.fc18.src.rpm gshell-maven-plugin-2.6.5-3.fc18.noarch.rpm gshell-javadoc-2.6.5-3.fc18.noarch.rpm
gshell.noarch: I: enchant-dictionary-not-found en_US
gshell.src: W: invalid-url Source0: gshell-2.6.5-src-git.tar.gz
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gshell-javadoc gshell-maven-plugin gshell
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 8 gil cattaneo 2012-08-08 09:18:46 EDT
New Package SCM Request
=======================
Package Name: gshell
Short Description: A command-line shell framework
Owners: gil
Branches: f17 f18
InitialCC: java-sig
Comment 9 gil cattaneo 2012-08-08 09:20:29 EDT
Package Change Request
======================
New Branches: f19
Comment 10 gil cattaneo 2012-08-08 09:22:14 EDT
sorry ignore in comment #9 the package change request
thanks
Comment 11 Gwyn Ciesla 2012-08-08 09:48:56 EDT
I can, but the script can't.  Re-posting the first request.

New Package SCM Request
=======================
Package Name: gshell
Short Description: A command-line shell framework
Owners: gil
Branches: f17 f18
InitialCC: java-sig
Comment 12 Gwyn Ciesla 2012-08-08 09:50:09 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-08-08 11:41:55 EDT
gshell-2.6.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gshell-2.6.5-3.fc17
Comment 14 Fedora Update System 2012-08-09 18:53:47 EDT
gshell-2.6.5-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 15 Fedora Update System 2012-08-17 21:26:53 EDT
gshell-2.6.5-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.